/*Home Page*/

.page-template-page-home {
    .site-header {
        position: fixed;
        background-color: transparent;

        a {
            color: #fff;
            transition: all 0.3s;
            text-decoration: none;
        }

        a:hover {
            color: var(--primary-orange-hover);
        }
    }

    .site-header.sticky {
        background-color: #008348;
        padding: 16px 0px;
    }

    .site-header label,
    .header-title,
    .menu-toggle,
    .search-toggle,
    .mobile-menu-toggle {
        color: #ffffff;
    }
}

.hero-block-title {
    gap: 50px;
    align-items: center;

    .title-part {
        font-size: 44px;
        color: var(--primary-dark-blue);
    }

    .spacer {
        height: 1px;
        background-color: #000000;
    }

    a {
        text-decoration: none;
        font-size: 14px;
        color: #2E2E2E;
    }
}

/*Slider block*/

.home-slider {
    height: fit-content;

    .home-slider-inner {
        height: fit-content;
        min-height: 100vh;
        background-color: #000000e5;
        display: flex;
        align-items: end;
        padding-top: 200px;
        padding-bottom: 56px;
    }
}

.home-slider {
    position: relative;
    overflow: hidden;

    .bg-layer {
        position: absolute;
        inset: 0;

        background-size: cover;
        background-position: center;

        opacity: 0;
        transform: scale(1.03);

        transition:
            opacity 0.8s ease,
            transform 8s linear;
    }

    .bg-current {
        opacity: 1;
        transform: scale(1);
    }

    .bg-next {
        opacity: 0;
    }

    .home-slider-inner {
        position: relative;
        z-index: 1;
    }

    .museum-slider {
        min-height: 66vh;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
    }

    .museum-progress {
        width: 100%;
        height: 3px;
        background: rgba(255, 255, 255, .15);
        margin-top: 24px;
        overflow: hidden;
        position: absolute;
        bottom: 0;
        z-index: 100;
    }

    .museum-progress-fill {
        width: 0%;
        height: 100%;
        background: var(--primary-orange);
        /* same orange as active title */
    }
}

.museum-slide {
    align-items: center;
    gap: 45px;
    padding: 0 32px;
    margin: 0 auto;
    grid-template-columns: repeat(auto-fill, minmax(550px, 2fr));
    text-decoration: none;
}



.museum-slide-image {
    position: relative;
}

.museum-slide-image img {
    display: block;
    border-radius: 16px;
    height: 50vh;
    object-fit: cover;
    width: auto;
}

.museum-slide-top {
    justify-content: space-between;
    gap: 24px;
    align-items: center;
    margin-bottom: 28px;
    position: relative;

    .divider-horizontal {
        height: 1px;
        background-color: #ffffff;
    }
}

.museum-slide-top h2 {
    color: var(--primary-orange);
    font-size: 30px;
    font-weight: 700;
    margin: 0px;
    padding: 0px;
    transition: all 0.3s;
}

.see-all {
    color: #fff;
    text-decoration: none;
    font-size: 18px;
    transition: all 0.3s;
}

.museum-slide-content p {
    color: #bdbdbd;
    line-height: 1.7;
    transition: all 0.3s;
}

.museum-nav {
    margin-top: 35px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 18px;
}

.museum-prev,
.museum-next {
    border: none;
    background: none;
    color: #fff;
    font-size: 42px;
    cursor: pointer;
}

.museum-pagination {
    display: flex;
    gap: 18px;
}

.museum-pagination span {
    color: #fff;
    cursor: pointer;
    font-size: 30px;
    opacity: .55;
    transition: .2s;
}

.museum-pagination span.active {
    color: #ff9b22;
    opacity: 1;
}

.museum-pagination .slider-marker {
    height: 16px;
    width: 16px;
    background-color: #b1b1b1;
    border-radius: 100%;
    border: 3px solid #fff;
    opacity: 0.7;
}

.museum-pagination .slider-marker.active {
    opacity: 1;
}

.museum-slide:hover {

    .museum-slide-top h2 {
        color: var(--primary-orange-hover);
    }

    .see-all {
        color: var(--primary-orange);
    }

    .museum-slide-content p {
        color: #e6e0e0;
    }
}

/*Exibiton block*/

.hero-exibitions {
    .hero-block-items {
        padding: 32px 0px;
    }
}

/*News Block*/

.hero-news {
    background-color: var(--background-secondary);

    .hero-block-items {
        padding: 32px 0px;
    }
}